weka.core

## Class SystemInfo

- java.lang.Object
- - weka.core.SystemInfo

- All Implemented Interfaces:
    RevisionHandler

      public class SystemInfo
      extends java.lang.Object
      implements RevisionHandler

  This class prints some information about the system setup, like Java version, JVM settings etc. Useful for Bug-Reports.
  Version:
    $Revision: 10203 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemInfo()` initializes the object and reads the system information

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.util.Hashtable<java.lang.String,java.lang.String>` | `getSystemInfo()` returns a copy of the system info.
    `static void` | `main(java.lang.String[] args)` for printing the system info to stdout.
    `java.lang.String` | `toString()` returns a string representation of all the system properties

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemInfo

          public SystemInfo()

      initializes the object and reads the system information

  - ### Method Detail

    - #### getSystemInfo

          public java.util.Hashtable<java.lang.String,java.lang.String> getSystemInfo()

      returns a copy of the system info. the key is the name of the property and the associated object is the value of the property (a string).

    - #### toString

          public java.lang.String toString()

      returns a string representation of all the system properties
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      for printing the system info to stdout.